> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Company

> Creates a new Company from the provided details



## OpenAPI

````yaml /swagger.json post /Company/Create
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Company/Create:
    post:
      tags:
        - Company
      summary: Create a Company
      description: Creates a new Company from the provided details
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUnverifiedCompanyRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateUnverifiedCompanyRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateUnverifiedCompanyRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateCompanyResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCompanyResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateCompanyResponse'
components:
  schemas:
    CreateUnverifiedCompanyRequest:
      type: object
      properties:
        companyReferenceId:
          type: string
        name:
          type: string
        emailAddress:
          type: string
        taxId:
          type: string
        taxIdType:
          type: string
        streetNumberAndName:
          type: string
        apartmentNumber:
          type: string
          nullable: true
        zipCode:
          type: string
        city:
          type: string
        state:
          type: string
        contactNumber:
          type: string
        websiteUrl:
          type: string
          nullable: true
        companyType:
          type: string
        owner:
          $ref: '#/components/schemas/OwnerModelDto'
        employees:
          type: array
          items:
            $ref: '#/components/schemas/EmployeeModelDto'
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/LocationModelDto'
          nullable: true
      additionalProperties: false
    CreateCompanyResponse:
      type: object
      properties:
        companyId:
          type: string
          format: uuid
        locationIds:
          type: array
          items:
            type: string
            format: uuid
      additionalProperties: false
    OwnerModelDto:
      type: object
      properties:
        name:
          type: string
        emailAddress:
          type: string
        contactNumber:
          type: string
        title:
          type: string
        documentNumber:
          type: string
          nullable: true
        documentType:
          type: string
          nullable: true
        ssn:
          type: string
        dateOfBirth:
          type: string
          format: date
        streetNumberAndName:
          type: string
        apartmentNumber:
          type: string
          nullable: true
        zipCode:
          type: string
        city:
          type: string
        state:
          type: string
      additionalProperties: false
    EmployeeModelDto:
      type: object
      properties:
        name:
          type: string
        emailAddress:
          type: string
        contactNumber:
          type: string
        title:
          type: string
      additionalProperties: false
    LocationModelDto:
      type: object
      properties:
        name:
          type: string
        streetNumberAndName:
          type: string
        apartmentNumber:
          type: string
          nullable: true
        zipCode:
          type: string
        city:
          type: string
        state:
          type: string
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````